Create bucket.
Sign in to run requests against the CDE API.
Authorization
oAuth2AuthCode AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://cde.staging.productsup.com/buckets" \ -H "Content-Type: application/json" \ -d '{ "name": "New bucket", "owner": "01a10fc7-b56b-7a47-bd90-6c285ee25368" }'{
"message": "successful operation",
"data": {
"id": "feadb0a9-8c32-49ba-9945-25c1ef194893",
"name": "New bucket",
"owner": "01a10fc7-b56b-7a47-bd90-6c285ee25368",
"created-at": "2026-10-06T07:55:08+02:00"
}
}{
"message": "Bad request.",
"errors": {
"name": "This value should not be blank."
}
}{
"message": "You have to be authorized to access this resource."
}{
"message": "Access denied for user."
}How is this guide?